.pretty-checkbox {
    font-weight: 400;
    position: relative;

    &__input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:focus + .pretty-checkbox__label {

        }

        &:checked + .pretty-checkbox__label {

            &::before {

            }

            &::after {
                opacity: 1;
                transition: opacity .3s;
            }
        }

        &:disabled + .pretty-checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        color: #3a3a3a;
        cursor: pointer;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(15);
        position: relative;
        padding-left: 35px;
        display: inline-flex;
        align-items: center;
        min-height: 30px;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 30px;
            height: 30px;
            display: block;
            position: absolute;
            border: 1px solid #B3B3B9;
            border-radius: 4px;
        }

        &:after {
            top: 0;
            left: 0;
            z-index: 5;
            opacity: 0;
            content: '';
            z-index: 10;
            width: 30px;
            height: 30px;
            position: absolute;
            background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMTQiIHZpZXdCb3g9IjAgMCAyMCAxNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTEgNy4yNUw2Ljg0NjE1IDEzTDE5IDEiIHN0cm9rZT0iIzAxOUUzNiIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2UtbGluZWNhcD0icm91bmQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiLz4KPC9zdmc+Cg==");
            background-position: 50% 50%;
            background-repeat: no-repeat;
            transition: opacity.3s;
        }

        &:hover {

        }
    }

    &--bold {

        .pretty-checkbox {

            &__label {

                &:after {
                    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTkiIGhlaWdodD0iMTMiIHZpZXdCb3g9IjAgMCAxOSAxMyIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTIgNS4yNUw3Ljg0NjE1IDExTDE3IDIiIHN0cm9rZT0iIzAxOUUzNiIgc3Ryb2tlLXdpZHRoPSIzLjUiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIvPgo8L3N2Zz4K");
                }
            }
        }
    }

    &--green {

        .pretty-checkbox {

            &__input {

                &:checked + .pretty-checkbox__label {

                    &::before {
                        background: $green;
                        border-color: $green;
                    }
                }
            }

            &__label {

                &:after {
                    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTkiIGhlaWdodD0iMTMiIHZpZXdCb3g9IjAgMCAxOSAxMyIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTIgNS4yNUw3Ljg0NjE1IDExTDE3IDIiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMy41IiBzdHJva2UtbGluZWNhcD0icm91bmQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiLz4KPC9zdmc+Cg==")
                }
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__label {
            padding-left: 40px;
            font-size: rem(16);
            line-height: rem(20);
            display: inline-block;
            padding-top: rem(5);
        }
    }
}
